<?php

namespace Drp\SimpleCms\Contracts;

use Illuminate\Database\Eloquent\Builder;

/**
 * Interface Previewable
 * @package Drp\SimpleCms
 */
interface Previewable extends Publishable
{
    /**
     * Scope query to only return Studies that do no have draft content.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeHasNoDraftOrInReview(Builder $query);
}
