<?php

if (!function_exists('content_label')) {

    /**     * Generate a readable string from a given content type
     *
     * @param  string $studyType
     * @param boolean $plural
     * @param boolean $lowerCase
     * @return string
     * @SuppressWarnings(PHPMD.BooleanArgumentFlag)
     */
    function content_label($studyType, $plural = false, $lowerCase = false)
    {
        return \Drp\SimpleCms\ContentFactory::contentLabel($studyType, $plural, $lowerCase);
    }
}

if (!function_exists('preview_mode_enabled')) {
    /**
     * Determine if previewMode is enabled.
     *
     * @return boolean
     */
    function preview_mode_enabled()
    {
        return session()->get('previewMode') === true;
    }
}
